//#define XERR
#include "group.ih"

std::ostream &operator<<(std::ostream &out, Group const &group)
{
    out << setw(3) << group.d_begin << " - " << 
                  setw(2); 

    if (Globals::isZero(group.d_end - END_AGE) or
       group.d_end == numeric_limits<uint16_t>::max())
        out << '*';
    else
        out << group.d_end;

    return out;
}
        

